Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(58)

Unified Diff: android_webview/tools/WebViewShell/run_startup_time_test.sh

Issue 1070563005: [Android WebView] Upstream WebViewShell to chromium. (Closed) Base URL: https://chromium.googlesource.com/chromium/src.git@master
Patch Set: fix copyright year Created 5 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: android_webview/tools/WebViewShell/run_startup_time_test.sh
diff --git a/android_webview/tools/WebViewShell/run_startup_time_test.sh b/android_webview/tools/WebViewShell/run_startup_time_test.sh
new file mode 100755
index 0000000000000000000000000000000000000000..50ac7f3bfeec99002374141ab2dff8d9507c3616
--- /dev/null
+++ b/android_webview/tools/WebViewShell/run_startup_time_test.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+# Copyright 2015 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+if ! which adb &> /dev/null; then
+ echo "adb is not in your path, did you run envsetup.sh?"
+ exit -1
+fi
+
+TMPFILE=$(tempfile)
+echo '<body><div>just some text</div></body>' > $TMPFILE
+adb push $TMPFILE /data/local/tmp/file.html
+rm $TMPFILE
+adb shell am start -n com.android.htmlviewer/.HTMLViewerActivity -d \
+ "file:///data/local/tmp/file.html" -a VIEW -t "text/html"
+
+sleep 3
+
+echo 'Running test, you should run \
+`adb logcat | grep WebViewStartupTimeMillis=` in another shell to see results.'
+
+# Launch webview test shell 100 times
+for i in $(seq 1 100); do
+ if [[ $(($i % 10)) -eq 0 ]]; then
+ echo -n "..$i.."
+ fi
+ adb shell kill -9 `adb shell ps | grep org.chromium.webview_shell \
+ | tr -s " " " " | cut -d" " -f2`
+ adb shell am start -n org.chromium.webview_shell/.StartupTimeActivity \
+ -a VIEW > /dev/null
+ sleep 0.5
+done
+echo
+
+adb shell rm /data/local/tmp/file.html

Powered by Google App Engine
This is Rietveld 408576698